Page MenuHomePhabricator

Use {{!}} rather than <nowiki>|</nowiki> when inserting a | in a template argument
Closed, ResolvedPublic0 Story Points

Description

In https://en.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/Feedback&diff=621079160&oldid=621075505 it is pointed out that if an argument to a template contains a | then <nowiki>|</nowiki> is added. The new magic word {{!}} might be a better alternative.

See also bug 67863


Version: unspecified
Severity: normal

Details

Reference
bz69482

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:44 AM
bzimport added a project: Parsoid-Serializer.
bzimport set Reference to bz69482.
Arlolra set Security to None.
ssastry moved this task from Backlog to html2wt on the Parsoid board.Dec 20 2014, 5:03 PM
ssastry moved this task from html2wt to In Progress on the Parsoid board.Feb 2 2015, 11:23 PM
marcoil claimed this task.Mar 10 2015, 1:46 PM

Change 195559 had a related patch set uploaded (by Marcoil):
T71482: Convert | to {{!}} in template parameters

https://gerrit.wikimedia.org/r/195559

Change 195559 merged by jenkins-bot:
T71482: Convert | to {{!}} in template parameters

https://gerrit.wikimedia.org/r/195559

Jdforrester-WMF closed this task as Resolved.Mar 11 2015, 6:56 PM